Subject: Re: We are screwed.

From: "Josh Coffman" <[email-masked]>
Date: Wed, 5 Nov 2008 14:14:14 -0700

monkeys

On Wed, Nov 5, 2008 at 2:01 PM, Eric Cope <[email-masked]> wrote:

> Craig,
> I am interested in your interpretation of a libertarian platform and Paul's
> platform.
> Eric
>
>
> On Wed, Nov 5, 2008 at 1:53 PM, Craig White <[email-masked]>wrote:
>
>> On Wed, 2008-11-05 at 13:31 -0700, Nathan wrote:
>> > On Wednesday 05 November 2008 13:24:30 you wrote:
>> > > Nobody was forced to take part in a 2-party system. Don't argue that a
>> 3rd
>> > > party candidate is a waste of vote. Face it, your vote is
>> infinitesimally
>> > > small, in fact 1 in a million. The idea of voting for lesser of two
>> evils
>> > > has delivered a president with a 30% approval rating and a Congress
>> with a
>> > > 19% approval rating. We, as a people, need to determine our own values
>> and
>> > > vote based on these values, not trying to prevent someone else from
>> getting
>> > > in office. Its not a horse race.
>> > >
>> > > Eric
>> > >
>> >
>> > I agree it's not a horse race. You're right. I'm sorry Paul did not win.
>> > Maybe the fairness doctrine would have required the media to give Paul
>> an equal chance...
>> ----
>> I think that a parliamentary system allows for other voices and more
>> participation but that is not what we have in the US. Too bad for us I
>> think because I rather admire the notion in England of 'loyal
>> opposition' - a concept that is foreign to the political system here.
>>
>> I do think that across the board, the political system does not
>> typically encourage the best/brightest and I don't recall an election
>> where one of the presidential choices was my ideal candidate and I don't
>> see that changing any time soon, either.
>>
>> Ron Paul is a marginal voice with a marginal message and his adherents
>> were so over the top this cycle that his message couldn't be considered
>> reasonable. He is incapable of sticking to a libertarian agenda.
>>
>> Craig
>>
>> ---------------------------------------------------
>> PLUG-discuss mailing list - [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
>>
>
>
> ---------------------------------------------------
> PLUG-discuss mailing list - [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
>
---------------------------------------------------
PLUG-discuss mailing list - [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss